@charset "UTF-8";

.news {
}

.news_cnt {
	display: flex;
	flex: 1;
	flex-direction: column;
	padding-top: var(--sp16);
}

.news_list {
	margin-top: auto;
	line-height: 1.8;
}

.news_item {
}

.news_item_link {
	display: grid;
	gap: var(--sp4);
	padding-block: var(--sp24);
	border-bottom: var(--border);
	transition: background var(--duration-base) var(--ease-rich);
}

.news_item_link:hover {
	background: var(--color-hover);
}

.news_item_date {
}

.news_item_ttl {
}

.news_pager {
	margin-top: var(--sp56);
}

.wp-pagenavi {
	display: flex;
	justify-content: center;
	gap: var(--sp6);
}

.wp-pagenavi > a,
.wp-pagenavi > span {
	display: inline-flex;
	justify-content: center;
	align-items: center;
	padding-inline: var(--sp12);
}

.wp-pagenavi > a {
}

.wp-pagenavi > a.page {
}

.wp-pagenavi > a.previouspostslink {
}

.wp-pagenavi > a.nextpostslink {
}

.wp-pagenavi > span {
	text-decoration: underline;
}

/* single */

.post {
}

.post_hd {
}

.post_date {
}

.post_ttl {
	margin-top: var(--sp8);
	font-size: var(--fz24);
	font-weight: 600;
}

.post_body {
	margin-top: var(--sp48);
	line-height: 2;
}

.post_nav {
	display: flex;
	justify-content: center;
	gap: var(--sp32);
	margin-top: var(--sp72);
	padding-top: var(--sp48);
	border-top: var(--border);
}

.post_nav_prev,
.post_nav_next,
.post_nav_list {
}

.post_nav a > span {
	padding-bottom: var(--sp4);
	background-image: linear-gradient(currentColor, currentColor);
	background-repeat: no-repeat;
	background-position: right bottom;
	background-size: 0 1px;
	transition: background-size var(--duration-base) var(--ease-out);
}

.post_nav a:hover > span {
	background-position: left bottom;
	background-size: 100% 1px;
}

.post_nav .-disabled {
	visibility: hidden;
}

@media screen and (max-width: 767.98px) {
	/* archive */
	.news_item_link {
		padding-block: var(--sp16);
	}

	.news_item_ttl {
		font-size: var(--fz14);
	}

	.news_pager {
		margin-top: var(--sp40);
	}

	/* single */
	.post_ttl {
		font-size: var(--fz20);
	}

	.post_body {
		margin-top: var(--sp32);
	}

	.post_nav {
		gap: var(--sp20);
		margin-top: var(--sp48);
		padding-top: var(--sp32);
		font-size: var(--fz14);
	}
}
